package configure

import (
	"fmt"

	sunhpccconf "gitea.sunhpc.com/kelvin/sunhpc/internal/pkg/config"
	"gitea.sunhpc.com/kelvin/sunhpc/internal/pkg/splog"
	//"gitea.sunhpc.com/kelvin/sunhpc/internal/pkg/util"
)


func DHCP() (err error) {
	controller := sunhpccconf.Get()

	if !controller.DHCP.Enabled() {
		splog.Warn("This system is not configured as a Sunhpc DHCP controller.")
		return
	}

	fmt.Printf("Enabling and restarting the DHCP services\n")
	return
}